TMSAgent (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.TMSAgent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface TMSAgent

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareComponent

    public interface TMSAgent

extends SoftwareComponent

Represents a TMS Management System Agent

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAffinity()`
`java.lang.String` | `getManagedObjectName()`
`TMSAgent` | `getManagementServer()`
`java.lang.String` | `getProductCode()`
`boolean` | `hasAffinity()`
`boolean` | `hasManagedObjectName()`
`boolean` | `hasManagementServer()`
`boolean` | `hasProductCode()`
`void` | `setAffinity(java.lang.String s)`
`void` | `setManagedObjectName(java.lang.String s)`
`void` | `setManagementServer(TMSAgent a)`
`void` | `setProductCode(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.sys.SoftwareComponent
`getExecutableName, getExit, getExitLocal, getGroup, getInstalledDate, getName, getParent, getPublisher, getSoftwareVersion, getType, hasExecutableName, hasExit, hasExitLocal, hasGroup, hasInstalledDate, hasName, hasParent, hasPublisher, hasSoftwareVersion, hasType, setExecutableName, setExit, setExitLocal, setGroup, setInstalledDate, setName, setParent, setPublisher, setSoftwareVersion, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Method Detail

### getProductCode

    java.lang.String getProductCode()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductCode

    void setProductCode(java.lang.String s)

### hasProductCode

    boolean hasProductCode()

### getAffinity

    java.lang.String getAffinity()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAffinity

    void setAffinity(java.lang.String s)

### hasAffinity

    boolean hasAffinity()

### getManagedObjectName

    java.lang.String getManagedObjectName()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManagedObjectName

    void setManagedObjectName(java.lang.String s)

### hasManagedObjectName

    boolean hasManagedObjectName()

### getManagementServer

    TMSAgent getManagementServer()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setManagementServer

    void setManagementServer(TMSAgent a)

### hasManagementServer

    boolean hasManagementServer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD